### Hierarchy

- OptionalOptions
  - MultipleKeysOptions

## Index

### Properties

- cacheDir
- cacheTreshold
- hashAlgo
- headerFieldNames
- keys
- skipFields

## Properties

### Optional cacheDir

cacheDir: string | false

Inherited from OptionalOptions.cacheDir

- Defined in node_modules/@types/nodemailer/lib/dkim.d.ts:6

optional location for cached messages. If not set then caching is not used.

### Optional cacheTreshold

cacheTreshold: undefined | number

Inherited from OptionalOptions.cacheTreshold

- Defined in node_modules/@types/nodemailer/lib/dkim.d.ts:8

optional size in bytes, if message is larger than this treshold it gets cached to disk (assuming cacheDir is set and writable). Defaults to 131072 (128 kB).

### Optional hashAlgo

hashAlgo: undefined | string

Inherited from OptionalOptions.hashAlgo

- Defined in node_modules/@types/nodemailer/lib/dkim.d.ts:10

optional algorithm for the body hash, defaults to ‘sha256’

### Optional headerFieldNames

headerFieldNames: undefined | string

Inherited from OptionalOptions.headerFieldNames

- Defined in node_modules/@types/nodemailer/lib/dkim.d.ts:12

an optional colon separated list of header keys to sign (eg. message-id:date:from:to...')

### keys

keys: SingleKeyOptions[]

- Defined in node_modules/@types/nodemailer/lib/dkim.d.ts:28

is an optional array of key objects (domainName, keySelector, privateKey) if you want to add more than one signature to the message. If this value is set then the default key values are ignored

### Optional skipFields

skipFields: undefined | string

Inherited from OptionalOptions.skipFields

- Defined in node_modules/@types/nodemailer/lib/dkim.d.ts:14

optional colon separated list of header keys not to sign. This is useful if you want to sign all the relevant keys but your provider changes some values, ie Message-ID and Date. In this case you should use 'message-id:date' to prevent signing these values.

Generated using TypeDoc